Announcement

Collapse
No announcement yet.

MMO Starter Kit

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Originally posted by Half breed 9 View Post
    Anyone know if the code is supported with 4.14 or not yet ?
    I don't believe we have an official way to port to 4.14 yet. I'm still working in 4.13.2

    Comment


      has anyone got open level to work yet, if so what have you done? the part in the documentation is very vague

      Comment


        You mean to transfer between Servers processes?

        Comment


          What's the last working version of Unreal Engine that is working correctly or does it not work like that ? Haha what I mean is can I just get an older version of Unreal and then continue to use that older version to create the game that I would be working on ?

          Comment


            Originally posted by Piepants View Post
            I don't believe we have an official way to port to 4.14 yet. I'm still working in 4.13.2
            From what I can see you only need to do three things for the Kit to work with 4.14

            1) Comment out or delete the last two public override parts parts dealing with MonolithicOnly in CleanThirdPersonServer.Target.cs in Source
            2) Change CommandChatWho in MMOCharacter to use Get Num Player function instead of the old way of grabbing the value directly
            3) Fix the cast to MMOPlayerCharacter for Try to Loot in MMOPlayerController / Right Click

            Seems to play just fine after those changes.

            Comment


              how do i change the picture on the launcher to m own?
              Cheers

              Comment


                Extract Source.zip then open launcher01.sln

                IN launcher / assests / you will find background-image.bmp

                I believe that is the pic you need to replace.
                Clifford Brock

                Gamer / Tinkers with MMO Kit
                Game: Claws&Paws

                Comment


                  I follow the documentation exactly along with some of Nemo's videos and in the end I still get a "Wrong client version" error when trying to enter the world from the launcher. The only way it works is if I set the server.exe to run in "-local" along with the client also in -local. Trying to figure out where the mismatch is.

                  Comment


                    Anyone seen CS...

                    <crosses fingers and hopes.>
                    Clifford Brock

                    Gamer / Tinkers with MMO Kit
                    Game: Claws&Paws

                    Comment


                      Nak1411,

                      I had the same error... I hooked up with CS in Slype and he looked over my setup. And scratched his head. I then took a clean copy of the kit, and ran it step by step, including setting up the PHP files again from scratch. Oh, and I set up a new database dbstructure.sql (I deleted my one first then redid it.) And for what ever reason it all worked. A few months later, the ip changed on my server and I believe I got the same error until I updated the IP in mmogetserver.php Not sure on that one though, that might be another issue I had. I can't remember.

                      So, my advice would be to backup your PHP files... build a new Database with differernt name.. go thru the setup with a non modified kit and see if you can get it to work. If so, then you can T-shoot your first kit from there.


                      Good luck bud.
                      Last edited by Tarly; 12-13-2016, 06:09 AM. Reason: typos
                      Clifford Brock

                      Gamer / Tinkers with MMO Kit
                      Game: Claws&Paws

                      Comment


                        The way I get it to work is by putting "-local" in the client exe path. Then I can enter the world, chat server and server log shows me connecting, database updates correctly and everything is fine. I have a feeling this isn't the correct way to do it, having to put "-local". I have narrowed it down to that so far. I am not very good with networking stuff, but as soon as I remove -local, I assume it is looking for another IP rather than 'localhost' ? Which would explain why I cant enter through the launcher because the launcher is using the non-local exe.

                        Comment


                          I hope CodeSpartan gets a chance to port it over to latest version, I want to dive back into videos soon as work let's up right after Christmas.

                          Nemo

                          Comment


                            Originally posted by Tarly View Post
                            Nak1411,

                            I had the same error... I hooked up with CS in Slype and he looked over my setup. And scratched his head. I then took a clean copy of the kit, and ran it step by step, including setting up the PHP files again from scratch. Oh, and I set up a new database dbstructure.sql (I deleted my one first then redid it.) And for what ever reason it all worked. A few months later, the ip changed on my server and I believe I got the same error until I updated the IP in mmogetserver.php Not sure on that one though, that might be another issue I had. I can't remember.

                            So, my advice would be to backup your PHP files... build a new Database with differernt name.. go thru the setup with a non modified kit and see if you can get it to work. If so, then you can T-shoot your first kit from there.


                            Good luck bud.
                            just i thought did you update json in the kit when you changed ip?

                            Comment


                              Originally posted by Tarly View Post
                              Nak1411,

                              I had the same error... I hooked up with CS in Slype and he looked over my setup. And scratched his head. I then took a clean copy of the kit, and ran it step by step, including setting up the PHP files again from scratch. Oh, and I set up a new database dbstructure.sql (I deleted my one first then redid it.) And for what ever reason it all worked. A few months later, the ip changed on my server and I believe I got the same error until I updated the IP in mmogetserver.php Not sure on that one though, that might be another issue I had. I can't remember.

                              So, my advice would be to backup your PHP files... build a new Database with differernt name.. go thru the setup with a non modified kit and see if you can get it to work. If so, then you can T-shoot your first kit from there.


                              Good luck bud.
                              Did you put your server IP in mmogetserver.php ?
                              Clifford Brock

                              Gamer / Tinkers with MMO Kit
                              Game: Claws&Paws

                              Comment


                                I redid everything on a non-modified kit step by step. I get the same wrong client version error no matter what I do. I am out of ideas. It only works on local. Disabling firewall doesn't help. I was able to ping the server successfully so that is not an issue. I even upgraded to a better host for ftp and database. Reloaded new phps and everything to no avail.

                                Only thing I can maybe see is maybe I am building things in the wrong order??

                                1. I make changes in the editor.
                                2. Then in VS I build the Development
                                3. Build Development Server
                                4. Package in editor using a full rebuild.
                                5. Then just copy the built server exe over to the packaged client exe.

                                Is that wrong? Correct me if I am wrong but it seems like maybe doing a full rebuild during packaging would screw it up? Wouldn't that create a discrepancy between the packaged client exe and the server exe built in VS?

                                I might just wait for a 4.14 update and see if that changes anything. Otherwise I have no clue.
                                Last edited by nak1411; 12-14-2016, 02:18 AM.

                                Comment

                                Working...
                                X